Subject: Re: bug#70432: 30.0.50; C-h for help not working with C-h k
From: Eli Zaretskii <[email-masked]>
To: [email-masked]
Cc: [email-masked], [email-masked], [email-masked]
Date: Sat, 20 Apr 2024 12:13:50 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> Cc: [email-masked], [email-masked], [email-masked]
> Date: Thu, 18 Apr 2024 17:19:06 +0300
> From: Eli Zaretskii <[email-masked]>
> 
> > From: Stefan Monnier <[email-masked]>
> > Cc: Gerd Möllmann <[email-masked]>,  Dmitry
> >  Gutov
> >  <[email-masked]>,  [email-masked]
> > Date: Thu, 18 Apr 2024 09:51:54 -0400
> > 
> > > Dmitry and Stefan, any better ideas?
> > >
> > > diff --git a/lisp/help.el b/lisp/help.el
> > > index d4e39f0..e6117ec 100644
> > > --- a/lisp/help.el
> > > +++ b/lisp/help.el
> > > @@ -1049,6 +1049,9 @@ help--read-key-sequence
> > >    (let ((enable-disabled-menus-and-buttons t)
> > >          (cursor-in-echo-area t)
> > >          (side-event nil)
> > > +        ;; Showing the list of key sequences makes no sense when they
> > > +        ;; asked about a key sequence.
> > > +        (echo-keystrokes-help nil)
> > >          saved-yank-menu)
> > >      (unwind-protect
> > >          (let (last-modifiers key-list)
> > 
> > Loos OK to me, tho maybe it should be the other way around: we should
> > bind it to non-nil around those places where we know it makes sense?
> 
> It's a user option, so I don't think that would be a good idea.

I've now installed a fix for this on master, and I'm therefore closing
this bug.